{% set ente = ente is defined ? ente : instance_service.currentInstance %}
{% set contacts = ente.getMetaAsArray('contacts') %}
{% set builtin_services = ente.getMetaAsArray('builtin_services') %}
{% if contacts or builtin_services %}
  <div class="bg-grey-card shadow-contacts">
    <div class="container">
      <div class="row d-flex justify-content-center">
        <div class="col-12 col-lg-6 px-0 py-5">
          {% if builtin_services.faq is not empty
            or builtin_services.support is not empty
            or contacts.phone is not empty
            or contacts.toll_free_number is defined and contacts.toll_free_number is not empty
            or builtin_services.appointment_booking is not empty %}
          <div class="cmp-contacts">
              <div class="card w-100">
                <div class="card-body">
                  <h2 class="title-medium-2-semi-bold">
                    {% if ente.getTenantType() == 'comune' %}
                      {{ 'contacts.title' | trans }}
                    {% else %}
                      {{ 'contacts.other_title' | trans }}
                    {% endif %}
                  </h2>
                  <ul class="contact-list p-0">
                  {% if builtin_services.faq|default %}
                      <li><a class="list-item text-decoration-none" href="{{ builtin_services.faq }}" data-element="faq">
                          <svg class="icon icon-primary icon-sm" aria-hidden="true">
                              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-help-circle"></use>
                          </svg>
                          <u class="ml-2"> {{ 'read_faq' | trans }} </u>
                      </a> </li>
                  {% endif %}
                    {% if builtin_services.support|default %}
                      <li> <a class="list-item text-decoration-none" href="{{ builtin_services.support }}" data-element="contacts">
                          <svg class="icon icon-primary icon-sm" aria-hidden="true">
                            <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-mail"></use>
                          </svg>
                          <u class="ml-2">{{ 'contacts.support_url_label' | trans }}</u>
                      </a> </li>
                    {% endif %}
                    {% if contacts.phone|default %}
                      <li> <a class="list-item text-decoration-none" href="tel:{{ contacts.phone }}" data-element="contacts">
                          <svg class="icon icon-primary icon-sm" aria-hidden="true">
                            <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-hearing"></use>
                          </svg>
                          <u class="ml-2">{{ 'contacts.phone_label' | trans }} {{ contacts.phone }}</u>
                      </a> </li>
                    {% endif %}
                    {% if contacts.toll_free_number|default %}
                      <li><a class="list-item text-decoration-none" href="tel:{{ contacts.toll_free_number }}" data-element="contacts">
                          <svg class="icon icon-primary icon-sm" aria-hidden="true">
                            <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-telephone"></use>
                          </svg>
                          <u class="ml-2">{{ 'contacts.phone_toll_free_number' | trans }}{{ contacts.toll_free_number }}</u></a>
                      </li>
                    {% endif %}
                    {% if builtin_services.appointment_booking|default %}
                      <li> <a class="list-item text-decoration-none" href="{{ builtin_services.appointment_booking }}"
                           data-element="appointment-booking">
                          <svg class="icon icon-primary icon-sm" aria-hidden="true">
                            <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-calendar"></use>
                          </svg>
                          <u class="ml-2">{{ 'contacts.meetings_reservation_url_label' | trans }}</u>
                      </a></li>
                    {% endif %}
                  </ul>

                {% if builtin_services.report_inefficiency|default %}
                  <h2 class="title-medium-2-semi-bold mt-3">{{ 'contacts.inefficiency_title' | trans }}</h2>
                  <a class="list-item text-decoration-none" href="{{ builtin_services.report_inefficiency }}"
                     data-element="report-inefficiency">
                    <svg class="icon icon-primary icon-sm" aria-hidden="true">
                      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-map-marker-circle"></use>
                    </svg>
                    <u class="ml-2">{{ 'report_inefficiency' | trans }}</u>
                  </a>
                {% endif %}

                </div>
              </div>
          </div>
          {% endif %}
        </div>
      </div>
    </div>
  </div>
{% endif %}
